import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

//The natural earth projection object must be initialized.
const projection = geoNaturalEarth1();
//To use a geopath library object, feed the natural earth object.
const pathGenerator = geoPath().projection(projection);


//Creating a geo path spherical svg structure.
svg.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));


// Making a spherical geo path svg structure.
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
       //c
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});
